require 'spec_helper'

describe Formic::Button do
  before(:each) do
    @model = Object.new
    stub(@page = Object.new).url_for(@model) {'/models/1'}
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#initialize" do
    before(:each) do
      @button = Formic::Button.new @page, 'name', @options, &@block
    end

    it "should have template formic/default/button" do
      @button.template.should == 'formic/default/button'
    end

    it "should have class button" do
      @button.should have_class 'button'
    end

    it "should set field value" do
      @button.label.should == 'name'
    end
  end

  context "#method_missing" do
    before(:each) do
      @button = Formic::Button.new @page
      @result = @button.go_ahead @options, &@block
    end

    it "should have class as action" do
      @button.options[:class].last.should == 'go_ahead'
    end

    it "should generate label as class" do
      @button.label.should == 'Go Ahead'
    end

    it "should return the object" do
      @result.should == @button
    end

    it "should use label if label is given" do
      button = Formic::Button.new @page
      result = @button.go_ahead 'Button Label', @options, &@block
      result.label.should == 'Button Label'
    end
  end
end
