require 'spec_helper'

describe Formic::Checkbox do
  before(:each) do
    @model = Object.new
    stub(@page = Object.new).url_for(@model) {'/models/1'}
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#checkbox" do
    before(:each) do
      @input = Formic::Checkbox.new @page, 'name', @options, &@block
    end

    it "should have template formic/default/input" do
      @input.template.should == 'formic/default/input'
    end

    it "should have type file" do
      @input.options[:type].should == 'checkbox'
    end

    it "should set field value" do
      @input.field.should == 'name'
    end
  end
end
