require 'spec_helper'
require_relative '../../lib/formic/helper'

describe Formic::Helper do
  before(:each) do
    @page = Object.new
    @page.extend Formic::Helper

    @options = {}
    @block = Proc.new {}
  end

  context "#get_class" do
    it "should return the class base on the name" do
      @page.get_class(:list).should == Formic::List
    end

    it "should return class with underscore" do
      @page.get_class(:list_item).should == Formic::ListItem
    end
  end

  [
    :selection,
    :input,
    :password,
    :checkbox,
    :list,
    :list_item,
    :form,
    :tab_panel,
    :button,
    :textarea
  ].each do |element|

    it "should repond to #{element}" do
      @page.should respond_to element
    end

    it "should be initilize the object with page" do
      @object = @page.send(element, @options, &@block)
      @object.page.should == @page
    end
  end

  context "#tab" do
    before(:each) do
      tab_panel = @page.tab_panel @options, &@block
    end

    it "should repond to tab" do
      @page.should respond_to :tab
    end

    it "should be initilize the object with page" do
      @object = @page.tab.style 'Some Title', @options, &@block
      @object.page.should == @page
    end
  end
end
