require 'spec_helper'

describe Formic::Hidden do
  before(:each) do
    @model = Object.new
    stub(@page = Object.new).url_for(@model) {'/models/1'}
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#file" do
    before(:each) do
      @hidden = Formic::Hidden.new @page, 'name', @options, &@block
    end

    it "should have template formic/default/hidden" do
      @hidden.template.should == 'formic/default/hidden'
    end

    it "should have type hidden" do
      @hidden.options[:type].should == 'hidden'
    end

    it "should set field" do
      @hidden.field.should == 'name'
    end
  end
end
