require 'spec_helper'

describe Formic::ListItems do
  before(:each) do
    @model = Object.new
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#initialize" do
    before(:each) do
      @list_items = Formic::ListItems.new @page
      @list_items.style ['Item 1', 'Item 2'], @options, &@block
    end

    it "should have template formic/default/list_items" do
      @list_items.template.should == 'formic/default/list_items'
    end

    it "it should have a list of items with same style, options" do
      @list_items.first.text.should == 'Item 1'
      @list_items.first.options.should == @options.merge(:class => ['list_item', 'style'])

      @list_items.last.text.should == 'Item 2'
      @list_items.last.options.should == @options.merge(:class => ['list_item', 'style'])
    end

    it "should have the block" do
      @list_items.content.should == @block
    end
  end
end
