require 'spec_helper'

describe Formic::Password do
  before(:each) do
    @model = Object.new
    stub(@page = Object.new).url_for(@model) {'/models/1'}
    stub(@page).render

    @options = {}
    @block = Proc.new {}
  end

  context "#initialize" do
    before(:each) do
      @input = Formic::Password.new @page, 'name', @options, &@block
    end

    it "should have template formic/default/input" do
      @input.template.should == 'formic/default/input'
    end

    it "should have type hidden" do
      @input.options[:type].should == 'password'
    end

    it "should not have value" do
      input = Formic::Password.new @page, 'name', {:value => 'some value'}, &@block
      input.some_style 'name', {:value => 'some other value'}, &@block
      input.options[:value].should be_blank

    end

    it "should set field value" do
      @input.field.should == 'name'
    end
  end
end
