require 'spec_helper'

describe Formic::Selection do
  before(:each) do
    @model = Object.new
    stub(@page = Object.new).url_for(@model) {'/models/1'}
    stub(@page).render

    @options = {:value => 'some value'}
    @block = Proc.new {}
  end

  context "#initialize" do
    before(:each) do
      @selection = Formic::Selection.new @page, 'name', @options, &@block
    end

    it "should have template formic/default/selection" do
      @selection.template.should == 'formic/default/selection'
    end

    it "should have value for field" do
      @selection.options[:value].should == 'some value'
    end

    it "should have class selection" do
      @selection.should have_class 'selection'
    end

    it "should initilize other attributes" do
      @selection.content.should == @block
      @selection.field.should == 'name'
    end
  end
end
